classification
Title: Asyncio: Pipes and socket IO is very slow
Type: performance Stage: resolved
Components: asyncio Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gvanrossum, python-dev, socketpair, vstinner, yselivanov
Priority: normal Keywords:

Created on 2016-05-02 17:06 by socketpair, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (3)
msg264655 - (view) Author: Марк Коренберг (socketpair) * Date: 2016-05-02 17:06
https://github.com/python/asyncio/issues/338

(example of program shows bug resides on github)
msg276618 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-15 20:53
New changeset e6adc2448c3d by Yury Selivanov in branch '3.5':
Issue #26909: Fix slow pipes IO in asyncio.
https://hg.python.org/cpython/rev/e6adc2448c3d

New changeset c462db8985d8 by Yury Selivanov in branch '3.6':
Merge 3.5 (asyncio, issue #26909)
https://hg.python.org/cpython/rev/c462db8985d8

New changeset 6b07f261ccf4 by Yury Selivanov in branch 'default':
Merge 3.6 (asyncio, issue #26909)
https://hg.python.org/cpython/rev/6b07f261ccf4
msg276619 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-09-15 20:59
Closing this one.  Thank you Mark for discovering the issue and suggesting a solution (still hope we'll commit your patch in 3.7).

Thank you INADA Naoki for the patch!
History
Date User Action Args
2017-03-31 16:36:23dstufftsetpull_requests: + pull_request974
2016-09-15 20:59:19yselivanovsetstatus: open -> closed
resolution: fixed
messages: + msg276619

stage: resolved
2016-09-15 20:53:03python-devsetnosy: + python-dev
messages: + msg276618
2016-05-16 21:49:27socketpairsettitle: Serious performance loss (10 times) when NOT using .drain() -> Asyncio: Pipes and socket IO is very slow
2016-05-02 17:06:33socketpaircreate